Package fr.gouv.vitam.storage.engine.common.model

# Class FileInTape

java.lang.Object
fr.gouv.vitam.storage.engine.common.model.FileInTape

public class FileInTape extends Object

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `FILE_NAME`
  `static final String`
  `FILE_SEGMENTS`
  `static final String`
  `STORAGE_ID`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `FileInTape()`
  `FileInTape(String fileName, String storageId, List<TarEntryDescription> fileSegments)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getFileName()`
  `List<TarEntryDescription>`
  `getFileSegments()`
  `String`
  `getStorageId()`
  `void`
  `setFileName(String fileName)`
  `void`
  `setFileSegments(List<TarEntryDescription> fileSegments)`
  `void`
  `setStorageId(String storageId)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### FILE_NAME

    public static final String FILE_NAME
    See Also:
      - Constant Field Values

  - ### STORAGE_ID

    public static final String STORAGE_ID
    See Also:
      - Constant Field Values

  - ### FILE_SEGMENTS

    public static final String FILE_SEGMENTS
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### FileInTape

    public FileInTape()

  - ### FileInTape

    public FileInTape(String fileName, String storageId, List<TarEntryDescription> fileSegments)

- ## Method Details

  - ### getFileName

    public String getFileName()

  - ### setFileName

    public void setFileName(String fileName)

  - ### getStorageId

    public String getStorageId()

  - ### setStorageId

    public void setStorageId(String storageId)

  - ### getFileSegments

    public List<TarEntryDescription> getFileSegments()

  - ### setFileSegments

    public void setFileSegments(List<TarEntryDescription> fileSegments)